var iSOnline = false;
var serviceIsCalling = false;
var badge = 0;
var serviceIsCallingForOverspeed = false;
var OndemandCalled = false;
var isResume = false;
var showLoader;
var speed30 = false;
function LocaionUpdateLoader(LocationObj) {

    showLoader = setTimeout(function () {
        GeoLocaionUpdateService(LocationObj);
    }, 100);
}
function UpdateGeoLocation() {
    OndemandCalled = false;
    var options = { enableHighAccuracy: true };


    navigator.geolocation.watchPosition(onLocationSuccess, onLocationError, options);


}
function UpdateGeoLocationByClick() {

    OndemandCalled = true;
    var options = { enableHighAccuracy: true };

    navigator.geolocation.getCurrentPosition(onLocationSuccess, onLocationError, options);

}
function onLocationSuccess(position) {
    
  
    localStorage.setItem("GeolocationPermission", "1")
    var lat = position.coords.latitude;
    var lon = position.coords.longitude;

    var latitude = parseFloat(lat.toFixed(4));
    var longitude = parseFloat(lon.toFixed(4));

    var speed = 1;//meter/sec
    if (position.coords.speed != null) {
        speed = position.coords.speed;
    }

    speed = speed * 3.6;
    var distance = 0;
    var lastcalledService = 0;
    var LocationObj = {};

    LocationObj.DisplayMessage = null;
    LocationObj.ExceptionMessage = null;
    LocationObj.UDID = localStorage.getItem("deviceUDID");
    LocationObj.InstallationGUID = localStorage.getItem("InstallationGUID");
    LocationObj.Latitude = latitude,
    LocationObj.Longitude = longitude,

    LocationObj.Radius = speed < 31 ? localStorage.getItem("Radius") : 0;
    LocationObj.SearchGender = localStorage.getItem("GenderType");
    LocationObj.SearchAgeFrom = localStorage.getItem("AgeFrom");
    LocationObj.SearchAgeTo = localStorage.getItem("AgeTo");
    LocationObj.SearchLookingFor = localStorage.getItem("InterestFor");
    LocationObj.UserGender = localStorage.getItem("UserGender");
    LocationObj.UserNickname = localStorage.getItem("UserNickname");
    LocationObj.UserBirthday = ToJsonDate(new Date(parseInt(localStorage.getItem("Year")), parseInt(localStorage.getItem("Month")) - 1, parseInt(localStorage.getItem("Day")))); //localStorage.getItem("UserBirthday");
    LocationObj.UserImage = null;//localStorage.getItem("UserImage");//UserImage,
    LocationObj.IsProfileUpdate = false;
    LocationObj.IsPictureUpdate = false;
    LocationObj.StrUserImage = "";// localStorage.getItem("UserImage");//UserImage,
    if (localStorage.getItem("IsProfileUpdate") !== null) {
        if (localStorage.getItem("IsProfileUpdate") == 1) {
            LocationObj.IsProfileUpdate = true;
        }

    }

    if (localStorage.getItem("IsPictureUpdate") !== null) {
        if (localStorage.getItem("IsPictureUpdate") == 1) {
            LocationObj.IsPictureUpdate = true;
            LocationObj.StrUserImage = localStorage.getItem("UserImage");//UserImage,   
        }

    }


    if (localStorage.getItem("Latitude") !== null && localStorage.getItem("Longitude") !== null) {

        var pastTime = 0;
        if (localStorage.getItem("LastCalledService") != null) {
            pastTime = parseInt(localStorage.getItem("LastCalledService"));
        }
        lastcalledService = GetTimeDifference(pastTime);
        distance = GetDistance(localStorage.getItem("Latitude"), localStorage.getItem("Longitude"), latitude, longitude, "K");

        if (OndemandCalled) {
            distance = 100;//for testing

            if (speed30) {
                speed = 100;
            }
            else { speed = 10; }

        }


        if ((distance > 10) && (speed < 31) && (lastcalledService > 2000)) {


            if (IsAppsOnline() && (serviceIsCalling == false)) {

                serviceIsCallingForOverspeed = false;
                serviceIsCalling = true;
                LocaionUpdateLoader(LocationObj);

            }

        }

        else if (speed > 30 && (serviceIsCallingForOverspeed == false)) {

            LocationObj.Radius = 0;
            if (IsAppsOnline() && (serviceIsCalling == false)) {

                serviceIsCalling = true;
                serviceIsCallingForOverspeed = true;
                LocaionUpdateLoader(LocationObj);

            }
        }
    }
    else {

        if (IsAppsOnline() && (serviceIsCalling == false)) {
            serviceIsCalling = true;

            LocaionUpdateLoader(LocationObj);
        }
    }

}
function onLocationError(error) {

    LoaderHide();

    switch (error.code) {
        case 1:
            if (localStorage.getItem("GeolocationPermission") == "1") {

                localStorage.setItem("GeolocationPermission", "0");
                BindFooterData();
                // ShowServiceErrorMessage(message.LocationPermissionDenied);
            }
            break;
        /*case 2:
            iSOnline = false;
            serviceIsCalling = false;
            ShowServiceErrorMessage(message.NoNetworkConnection);
            break;
            */


    }
}
function UpdateGeoLocationByClickForSpeed() {


    speed30 = true;
    OndemandCalled = true;

    var options = { enableHighAccuracy: true };

    navigator.geolocation.getCurrentPosition(onLocationSuccess, onLocationError, options);
    serviceIsCallingForOverspeed = false;

}
Number.prototype.padLeft = function (base, chr) {
    var len = (String(base || 10).length - String(this).length) + 1;
    return len > 0 ? new Array(len).join(chr || '0') + this : this;
}
function onLocationSuccessResume(position) {

    isResume = true;
    if (localStorage.getItem("GeolocationPermission") == "0") {
        pageName == 'noalarm'
        Control.Connect();
        localStorage.setItem("GeolocationPermission", "1");
        localStorage.removeItem("Latitude");
        localStorage.removeItem("Longitude");
        BindFooterData();

    }
    else {
      
        if (pageName != 'noalarm') {
            if (IsAlarmExists()) {
                localStorage.removeItem("AlarmUsers");
                localStorage.removeItem("AlarmUsersCount");
                IsSearchAlarm = true;
                LoaderShow()
                UpdateGeoLocationByClick();
            }
            else
            {
                pageName == 'noalarm'
                $("#SubHeader").removeAttr('class');
                $("#SubHeader").html(resNoalarmPage.pageSubtitleConnecting);
                $("#SubHeader").attr('class', 'rightalign');
                OpenNoAlarmPage();

                setTimeout(function () {
                    UserLiveInXMPP();
                }, 5000);
            }
        }
        else
        {

            setTimeout(function () {
                UserLiveInXMPP();
            }, 1000);
        }
        
        
        
    }

}
function onLocationErrorResume(error) {

    switch (error.code) {
        case 1:
            if (localStorage.getItem("GeolocationPermission") == "1") {

                localStorage.setItem("GeolocationPermission", "0");
                BindFooterData();
                if (IsAppsOnline()) {
                    ReleaseAllAlarm();
                }
            }
            pageName == 'noalarm'
            OpenNoAlarmPage();
            break;
       /* case 2:
            isXMPPConnected = false;
            iSOnline = false;
            serviceIsCalling = false;
            pageName == 'noalarm'
            OpenNoAlarmPage();
            break;
        default:
            isXMPPConnected = false;
            iSOnline = false;
            serviceIsCalling = false;
            pageName == 'noalarm'
            OpenNoAlarmPage();
            break;
            */
    }
}
function onPause() {

    //$("body").removeClass("activenav");
    //  pageName == 'noalarm'
    // OpenNoAlarmPage();
}
function onResume() {

    if (localStorage.getItem("IsCameraClick") == null || localStorage.getItem("IsCameraClick") == "0") {
        $("body").removeClass("activenav");
        var options = { enableHighAccuracy: true };
        navigator.geolocation.getCurrentPosition(onLocationSuccessResume, onLocationErrorResume, options);
    }



}
function OnOnline() {
    //alert('OnOnline-xmppconnect');
    IsApplicationOnline = true;
    if (!iSOnline) {
        iSOnline = true;
        IsApplicationOnline = true;

        //alert('OnOnline');
        //if apps restarted always disconnect the exisiting openfire connection
        //else check connection exists or not.
        if (IsAppsRestarted) {
            IsAppsRestarted = false;
            Control.Connect();
        }
        else {
            setTimeout(function () {
                UserLiveInXMPP();
            }, 5000);
        }
      //  Control.Connect();
        /* showLoader = setTimeout(function () {
             UserLiveInXMPP();
         }, 20000);
       */
    }
}
function OnOffline() {

    if (IsAppsOnline())
    {
        setTimeout(function () {
            UserLiveInXMPP();
        }, 10000);
    }
    else
    {
       // alert('OnOffline');
        iSOnline = false;
        IsApplicationOnline = false;
       // isXMPPConnected = false;
        localStorage.removeItem("AlarmUsers");
        localStorage.removeItem("AlarmUsersCount");
        //ShowOnlineStatus(false);
      //  if (pageName == 'vcard') {
      //      OpenNoAlarmPage();
      //  }
    }
     

}






