
$(document).ready(function () {
    IsAppsRestarted = true;
    localStorage.setItem("IsCameraClick", "0");
    $("div.appearError").hide();
    document.addEventListener("deviceready", onDeviceReady, false);
    document.addEventListener("online", OnOnline, false);
    LoaderHide();
   // alert(localStorage.getItem("GeolocationPermission"));
    pageName = 'noalarm';
    var lang = navigator.language.split("-");
    var current_lang = (lang[0]);
    var jurl = "";
    if (current_lang == "en") {
        jurl = "js/Resource_en.js";

    }
    else if (current_lang == "de") {
        jurl = "js/Resource_de.js";

    }
 /*   else if (current_lang == "ru") {
        jurl = "js/Resource_ru.js";

    }*/
    else {
        jurl = "js/Resource_en.js";
    }
    jQuery.cachedScript = function (url, options) {
        // Allow user to set any option except for dataType, cache, and url
        options = $.extend(options || {}, {
            dataType: "script",
            cache: true,
            url: url
        });
        // Use $.ajax() since it is more flexible than $.getScript
        // Return the jqXHR object so we can chain callbacks
        return jQuery.ajax(options);
    };
    // Usage
    $.cachedScript(jurl).done(function (script, textStatus) {
        //var footer = $("#footer");
        //footer.css({ "top": footer.position().top, "bottom": "auto" });

         
        BindLeftmenuLocalizedLang();
        BindHeaderProfile();
        BindFooterData();
        pageName = 'noalarm';
        OpenNoAlarmPage();

        $("<i class='fa fa-navicon'></i>").insertBefore("#ancLogo");
        
        //alert('apps restarted');

     

    });

    //for ios
   
});
function onDeviceReady() {
    // alert('onMyDeviceReady master');

    isMobile.iOS()
    {
        if (parseFloat(window.device.version) >= 7.0) {
            // document.body.style.marginTop = "20px";

            $('#main').css({ 'top': '20px' });

            $('.leftbar').css({ 'top': '20px' });
            $('.rightbar').css({ 'top': '20px' });



        }
        else {
            localStorage.setItem("IOS7Plus", 0);



        }

    }

   //document.addEventListener("offline", OnOffline, false);
    document.addEventListener("pause", onPause, false);
    document.addEventListener("resume", onResume, false);
    document.addEventListener("backbutton", function (e) {
        e.preventDefault();
    }, false);
   
 
    
    $(".fa-navicon").click(function () {
        localStorage.setItem("IsCameraClick", "0");
        if ((localStorage.getItem("IsProfileUpdate") == 1) || (localStorage.getItem("IsPictureUpdate") == 1)) {
            BindHeaderProfile();

            if (IsAppsOnline()) {
                LoaderShow();
                showLoader = setTimeout(ProfileUpdate, 150);
            }
           
        }
        $("body").toggleClass("activenav");
    });

    /*if (IsAppsOnline()) {

       Control.Connect();

    }
    else {
        OnOffline();
    }
     */
   
}
//Profile page functionality
function OpenEditProfile() {
    $(".middleHeight").html('');
    if ($('#title').length == 0)         // use this if you are using id to check
    {
        $("#header").after("<div id='title'><div class='row'><div class='large-12 columns' ><h1 id='SubHeader'></h1></div></div></div>");
    }
    $(".middleHeight").load("profile-edit.html", null, function () {

        pageName = 'profile';
        DisplayControl(pageName);
        BindProfiledata();
    });

}
function BindProfiledata() {

    resize();
    if (localStorage.getItem("UserGender") !== null) {

        localStorage.setItem("UserGenderOLD", localStorage.getItem("UserGender"));
        if (localStorage.getItem("UserGender") == "1") {
            $("#rad2").prop("checked", true);

            $('#rad1').prop("checked", false);
            $('#rad3').prop("checked", false);
        }
        else if (localStorage.getItem("UserGender") == "2") {

            $('#rad1').prop("checked", true);
            $('#rad2').prop("checked", false);
            $('#rad3').prop("checked", false);
        }
        else {
            $('#rad3').prop("checked", true);
            $('#rad1').prop("checked", false);
            $('#rad2').prop("checked", false);
        }

    }

    if (localStorage.getItem("UserNickname") !== null) {
        localStorage.setItem("OldUserNickname", localStorage.getItem("UserNickname"));
        $("#txtNickName").val(localStorage.getItem("UserNickname"));
    }

    if (localStorage.getItem("UserEmail") !== null) {

        $("#txtEmail").val(localStorage.getItem("UserEmail"));
    }
    if (localStorage.getItem("Year") !== null) {

        var dd = document.getElementById('slYear');

        for (var i = 0; i < dd.options.length; i++) {
            if (dd.options[i].value === localStorage.getItem("Year")) {
                dd.selectedIndex = i;
                break;
            }
        }

    }

    if (localStorage.getItem("Month") !== null) {
        var dd = document.getElementById('slMonth');

        for (var i = 0; i < dd.options.length; i++) {
            if (dd.options[i].value === localStorage.getItem("Month")) {
                dd.selectedIndex = i;
                break;
            }
        }
    }

    if (localStorage.getItem("Day") !== null) {

        var dd = document.getElementById('slDay');

        for (var i = 0; i < dd.options.length; i++) {
            if (dd.options[i].value === localStorage.getItem("Day")) {
                dd.selectedIndex = i;
                break;
            }
        }
    }

   

    //for picture
   // LoaderShow();
    showLoader = setTimeout(function () {
        BindProfilPicture();
    }, 100);

}

function BindProfilPicture() {
    document.getElementById('ancCamera').style.webkitTouchCallout = 'none';

    if (localStorage.getItem("UserImage") != null) {
        var d = new Date();
        // var largeImage = document.createElement("img");
        var largeImage = document.getElementById("imgProfileImage");

        if ((localStorage.getItem("IsBindImageURL") != null) && (localStorage.getItem("IsBindImageURL") == "1")) {
            largeImage.src = localStorage.getItem("UserImage");
        }
        else {
            largeImage.src = "data:image/jpeg;base64," + localStorage.getItem("UserImage");
        }


        //  largeImage.id = d.getMilliseconds();





        var ih = $(".middleHeight").innerHeight();
        var iw = $(".middleHeight").innerWidth();


        //  alert(ih);
        //    alert(iw);
        $(largeImage).one('load', function () {

            var w = largeImage.width;
            var h = largeImage.height;

            var result = ScaleImage(w, h, iw, ih, false);

            //alert(result.height);
            // alert(result.width);
            largeImage.width = result.width;
            largeImage.height = result.height;

            $(largeImage).css("left", result.targetleft);
            $(largeImage).css("top", result.targettop);

        }).each(function () {
            if (this.complete) $(this).load();
        });

      

    }
    resize();
    LoaderHide();
}

function getNickName() {
    if ($("#txtNickName").val() != "") {
        RemoveFieldWarning($("#txtNickName"))
        localStorage.setItem("UserNickname", $("#txtNickName").val());
        localStorage.setItem("IsProfileUpdate", 1);
    }
    else {
        //ShowMessage(message.NicknamerequiredMsg);
        AddFieldWarning($("#txtNickName"));
        $("#errMsg").html(message.NicknamerequiredMsg);
        localStorage.setItem("UserNickname", localStorage.getItem("OldUserNickname"));
        localStorage.setItem("IsProfileUpdate", 0);
    }
}
function capturePhotoEdit() {
    localStorage.setItem("IsCameraClick", "1");//this variable rquired to fix issue while camera on apps goes minimize and when camera close apps goes
                                             //resume and no alarm page open.
    pictureSource = navigator.camera.PictureSourceType;

    destinationType = navigator.camera.DestinationType;
    direction = navigator.camera.Direction;

    navigator.camera.getPicture(onPhotoDataSuccess, onFail, {
        quality: 60, destinationType: destinationType.DATA_URL, cameraDirection: direction.FRONT, correctOrientation: true
    });
}
function onPhotoDataSuccess(imageData) {

    localStorage.setItem("IsPictureUpdate", 1);
    localStorage.setItem("IsBindImageURL", "0");
    localStorage.setItem("UserImage", imageData);
     
    LoaderShow();
    
    showLoader = setTimeout(function () {
        BindProfilPicture();
    }, 100);
     

}
function onFail(message) {
  //  ShowMessage(message);
    ShowServiceErrorMessage(message)
  //  localStorage.setItem("IsCameraClick", "0");
}
//Profile page functionality end
function GetUserGender(genderType) {
    if (genderType == 1) {
        return resProfilePage.Male;
    }
    else if (genderType == 2) {
        return resProfilePage.Female;
    }
    else {
        return resProfilePage.Other;
    }
}


function OnLeftMenu(PageName) {
    $(".middleHeight").html('');
    if ($('#title').length==0)         // use this if you are using id to check
    {
        $("#header").after("<div id='title'><div class='row'><div class='large-12 columns' ><h1 id='SubHeader'></h1></div></div></div>");
    }
    
   
   /* if ((localStorage.getItem("IsProfileUpdate") == 1) || (localStorage.getItem("IsPictureUpdate") == 1)) {
        BindHeaderProfile();
    }
    */
    
   /* if (PageName == 'aroundme') {
      
        if (IsAlarmExists()) {
            $(".middleHeight").load("aroundme.html", null, function () {
                pageName = PageName;
                DisplayControl(PageName);
                BindAroundMeData();
                resize();
            });
        }
        else {
            OpenNoAlarmPage();
        }
       

    }

   */
   if (PageName == 'vcard') {
               
        if (IsAlarmExists())
        {
            OpenAlarmPage();
        }
        else {
            OpenNoAlarmPage();
        }

    }
    else if (PageName == 'flirtmap') {
     
      
        $(".middleHeight").load("flirtmap.html", null, function () {
            pageName = PageName;
            DisplayControl(PageName);
            resize();
        });
    }
    else if (PageName == 'wantme') {
      
        $(".middleHeight").load("wantme.html", null, function () {
            pageName = PageName;
            DisplayControl(PageName);
            resize();
        });
    }
    else if (PageName == 'friends') {
        $(".middleHeight").load("friends.html", null, function () {
            pageName = PageName;
            DisplayControl(PageName);
            resize();
        });
    }
    else if (PageName == 'setting') {
        $(".middleHeight").load("setting.html", null, function () {
            pageName = PageName;
            DisplayControl(PageName);
            BindSettingData();
            resize();
        });
        $("#ancAroundMe").removeClass("selected");
        $("#ancSettings").addClass("selected");
        $("#ancAbout").removeClass("selected");
        $("#ancPrivacy").removeClass("selected");
    }
    else if (PageName == 'about') {
        $(".middleHeight").load("about.html", null, function () {
            pageName = PageName;
            DisplayControl(PageName);
            resize();

        });

        $("#ancAroundMe").removeClass("selected");
        $("#ancSettings").removeClass("selected");
        $("#ancAbout").addClass("selected");
        $("#ancPrivacy").removeClass("selected");
    }
    else if (PageName == 'privacy') {
        $(".middleHeight").load("privacy.html", null, function () {
            pageName = PageName;
            DisplayControl(PageName);
            resize();
        });
        $("#ancAroundMe").removeClass("selected");
        $("#ancSettings").removeClass("selected");
        $("#ancAbout").removeClass("selected");
        $("#ancPrivacy").addClass("selected");
    }
}
function OpenNoAlarmPage() {
    $(".middleHeight").html('');
    if ($('#title').length == 0)         // use this if you are using id to check
    {
        $("#header").after("<div id='title'><div class='row'><div class='large-12 columns' ><h1 id='SubHeader'></h1></div></div></div>");
    }

    $(".middleHeight").load("noalarm.html", null, function () {
       
       
        pageName = 'noalarm';
        DisplayControl(pageName);

        if (localStorage.getItem("InterestFor") !== null) {
            var dd = document.getElementById('ddlInterestFor');
            localStorage.setItem("InterestForOLD", localStorage.getItem("InterestFor"));
            for (var i = 0; i < dd.options.length; i++) {
                if (dd.options[i].value === localStorage.getItem("InterestFor")) {
                    dd.selectedIndex = i;
                    break;
                }
            }

        }

        resize();
    });
    $("#ancAroundMe").addClass("selected");
    $("#ancSettings").removeClass("selected");
    $("#ancAbout").removeClass("selected");
    $("#ancPrivacy").removeClass("selected");

}
function OpenAlarmPage() {

    $(".middleHeight").html('');
    
    $("#title").remove();

  
    var value = 0;
   // if ($("#footer").height() != null) { value = 5; }

    //alert(ih);

    // alert( $("body").height())

    // $('.middleHeight, .noalarm').css({ 'height': (ih - header - footer - title - value) + 'px' });
  //  $('.middleHeight, .noalarm').css({ 'height': (($("body").height()) - ($("#header").height()) - ($("#title").height()) - ($("#footer").height()) - value) + 'px' });
  //  $('img.middleHeight').css({ 'height': (($("body").height()) - ($("#header").height()) - ($("#title").height()) - ($("#footer").height()) - value) + 'px' });
   
   // alert($(".middleHeight").height());
    $(".middleHeight").load("vcard.html", null, function () {
       
       // $('.slides').css({ 'height': (($("body").height()) - ($("#header").height()) - ($("#footer").height()) - 40) + 'px' });
        pageName = 'vcard';
      //  $("#title").remove();       
        DisplayControl(pageName);
        LoaderShow();
        showLoader = setTimeout(function () {
            BindVcardData();
        }, 100);
        
       
    });

    $("#ancAroundMe").addClass("selected");
    $("#ancSettings").removeClass("selected");
    $("#ancAbout").removeClass("selected");
    $("#ancPrivacy").removeClass("selected");
}
function BindHeaderProfile() {
    var dob = new Date(parseInt(localStorage.getItem("Year")), parseInt(localStorage.getItem("Month")) - 1, parseInt(localStorage.getItem("Day")));
    $("#HeaderAgeGender").html(GetUserGender(localStorage.getItem("UserGender")) + ' ' + GetUserAge(dob));
    $("#HeaderNickeName").html(localStorage.getItem("UserNickname"));
    $("#HeaderMsgdetection").html(GetInterestFor(localStorage.getItem("InterestFor")));

   
    $("#HeaderAlarmMode").html(Common.AlarmMode);
    $("#AlarmModeOff").html(Common.OFF);
    $("#AlarmModeOn").html(Common.ON);


    if (localStorage.getItem("UserImage") != null) {
        var d = new Date();

        $("#ProfileThumb").html('');
        var largeImage = document.createElement("img");
        if ((localStorage.getItem("IsBindImageURL") != null) && (localStorage.getItem("IsBindImageURL") == "1")) {
            largeImage.src = localStorage.getItem("UserImage");
        }
        else {
            largeImage.src = "data:image/jpeg;base64," + localStorage.getItem("UserImage");
        }


        largeImage.id = d.getMilliseconds();
        $("#ProfileThumb").append(largeImage);
        var ih = $('#ProfileThumb').innerHeight();
        var iw = $('#ProfileThumb').innerWidth();

        $(largeImage).one('load', function () {

            var w = largeImage.width;
            var h = largeImage.height;

            var result = ScaleImage(w, h, iw, ih, false);


            largeImage.width = result.width;
            largeImage.height = result.height;

            $(largeImage).css("left", result.targetleft);
            $(largeImage).css("top", result.targettop);

        }).each(function () {
            if (this.complete) $(this).load();
        });

    }
}
function BindLeftmenuLocalizedLang() {
    ArroundMeMenuUpdate();
    $("#leftMenuFlirtMap").html(resMenuTitle.FlirtMap);
    $("#leftMenuWantMe").html(resMenuTitle.Alarm);
    $("#leftMenuFriends").html(resMenuTitle.Friends);
    $("#leftMenuSettings").html(resMenuTitle.Settings);
    $("#leftMenuAbout").html(resMenuTitle.About);
    $("#leftMenuPrivacy").html(resMenuTitle.TermsAndPrivacy);

}
function ArroundMeMenuUpdate() {
    $("#leftMenuAroundMe").html(resMenuTitle.AroundME + " (" + localStorage.getItem("Radius") + "M)");
}
function BindFooterData() {
    if (localStorage.getItem("GeolocationPermission") == "0") {

        $(".middleText").html(message.LocationPermissionDenied);
        ShowOnlineStatus(false);
    }
    else {

        if (localStorage.getItem("LastReportTime") != null) {

            $(".middleText").html(resNoalarmPage.LastLocationUpdate + " " + localStorage.getItem("LastReportTime"));
        }
        else {

            $(".middleText").html(resNoalarmPage.LastLocationUpdate + " " + message.NoLocationUpdate);
        }


    }

}
//Settings page functionality
function BindSettingData() {

    
    if (localStorage.getItem("GenderType") !== null) {

         //alert(localStorage.getItem("GenderType"));
        if (localStorage.getItem("GenderType") == "1") {
            $("#rad2").prop("checked", true);

            $('#rad1').prop("checked", false);
            $('#rad3').prop("checked", false);
        }
        else if (localStorage.getItem("GenderType") == "2") {

            $('#rad1').prop("checked", true);
            $('#rad2').prop("checked", false);
            $('#rad3').prop("checked", false);
        }
        else {
            $('#rad3').prop("checked", true);
            $('#rad1').prop("checked", false);
            $('#rad2').prop("checked", false);
        }

    }


    if (localStorage.getItem("AgeFrom") == null) {
        localStorage.setItem("AgeFrom", parseFloat($('#txtAgeFrom').val()));
    }
    else {
        $('#txtAgeFrom').val(localStorage.getItem("AgeFrom"));
    }
    if (localStorage.getItem("AgeTo") == null) {
        localStorage.setItem("AgeTo", parseFloat($('#txtAgeTo').val()));
    }
    else {
        $('#txtAgeTo').val(localStorage.getItem("AgeTo"));
    }


    var radiousText = $('#txtRadius').val();
    var currentValue = "";
    if (radiousText.length < 3) {

    }
    else {
        currentValue = parseFloat(radiousText.substr(0, radiousText.length - 1));
    }

    if (localStorage.getItem("Radius") == null) {
        localStorage.setItem("Radius", currentValue);
    }
    else {
        $('#txtRadius').val(localStorage.getItem("Radius") + "M");
    }

   
  
}
function SearchAlarm() {
    //required to implement
    if (!IsAppsOnline()) {
        ShowServiceErrorMessage(message.NoNetworkConnection);
        return false;
    }
    else {

        IsSearchAlarm = true;
        LoaderShow()

        UpdateGeoLocationByClick();
    }
}
//End Settings page functionality

//Vcard Page functionality
function BindVcardData() {
  
   // alert('BindVcardData');
    var length = 0;
    if (localStorage.getItem("AlarmUsersCount") != null) {
        length = localStorage.getItem("AlarmUsersCount");
    }
  
    //alert($('.homeslider').innerHeight());
   // alert($('.middleHeight').innerHeight());
    $('.slides').html('');
    if (parseInt(length) > 0) {
        var alarmlist = JSON.parse(localStorage.getItem("AlarmUsers"));
        
        var ih = $('.slides').innerHeight(); //$('html').innerHeight();
        var iw = $('.slides').innerWidth();
        for (var i = 0; i < length; i++) {
            var d = new Date();
            var imgid = "img" + '_' + d.getMilliseconds() + '_' + i;
            var divid = "div" + '_' + d.getMilliseconds() + '_' + i;
            var largeImage = document.createElement("img");
            largeImage.src = "data:image/jpeg;base64," + alarmlist[i].StrUserImage;

            largeImage.id = imgid;
            //$(".middleHeight").append(largeImage);
            $('.slides').prepend(
                '<li>'
                + '<div class=image id=' + divid + '>'
                + '<p class=content>'
                + '<strong>'
                + alarmlist[i].UserNickname + ' ' + GetUserAge(parseJsonDate(alarmlist[i].UserBirthday))
                + ' y (' + GetUserGender(alarmlist[i].UserGender) + ') ' + resAlarmPage.IsAround
                + '</strong>'
                +'<span>'
                + GetLookingFor(alarmlist[i].SearchLookingFor, alarmlist[i].UserGender)
               
               // +'<a href="#" class="invoke">'
               // +'<i class="fa fa-reply">'
               // +'</i>'
               // +'Invoke Alarm'
               // + '</a>'
                 + '</span>'
                +'</p>'
                 
                +'</div>'
                +'</li>'
            );
            // style=background-image:url(' + largeImage.src + ')>

            $("#" + divid).css("background-image", "url(" + largeImage.src + ")");

            var largeImage = document.getElementById(imgid);
            $(largeImage).one('load', function () {
              
                var w = largeImage.width;
                var h = largeImage.height;

                var result = ScaleImage(w, h, iw, ih, false);


                largeImage.width = result.width;
                largeImage.height = result.height;

                $(largeImage).css("left", result.targetleft);
                $(largeImage).css("top", result.targettop);

            }).each(function () {
                if (this.complete) {

                    $(this).load();

                }
            });
        // alert( $('.slides').html());
        }
        clearTimeout(showLoader);
        LoaderHide();
        $('.flexslider').removeData("flexslider");
        $('.flexslider').flexslider({
            animation: "slide",
            nextText: "<i class='fa fa-chevron-right'></i>",
            prevText: "<i class='fa fa-chevron-left'></i>",
            start: function (slider) {
                $(".flexslider").removeClass('loading');
            }
        });
        
        if (length == 1) {
            $('.flex-prev').html('');
            $('.flex-next').html('');
        }

    }

    resize();
}
function getNextPrev(length) {

    if (length > 1)
        return true;

    return false;
}
//end Vcard Page Functionality
//AroundMe page functionality
function BindAroundMeData() {
    var length = 0;
    if (localStorage.getItem("AlarmUsersCount") != null) {
        length = localStorage.getItem("AlarmUsersCount");
    }
     $('#Userlist').html('');
     if (parseInt(length) > 0) {
         var alarmlist = JSON.parse(localStorage.getItem("AlarmUsers"));
        var ih = $('.homeslider').innerHeight(); //$('html').innerHeight();
        var iw = $('.homeslider').innerWidth();
        for (var i = 0; i < length; i++) {

            var AlarmInstallationGUID = alarmlist[i].InstallationGUID;

            
          

            var d = new Date();
            var imgid = AlarmInstallationGUID + "_img";//     "img" + '_' + d.getMilliseconds() + '_' + i;
            $('#Userlist').prepend(
                '<li class="online">'
                 + '<div class="user alarm-btn" id='+AlarmInstallationGUID+'>'
                 +'<div class="options">'
                 +'<a href="#"><i class="fa fa-trash-o"></i></a>'
                 +'<a href="#"><i class="fa fa-bell"></i></a>'
                 +'</div>'
                 +'<div class="block">'
                 +'<figure><img  id=' + imgid + ' src=data:image/jpeg;base64,' + alarmlist[i].StrUserImage + '></figure>'
                 +'<aside>'
                 + '<h4  id=' + AlarmInstallationGUID + '_name>' + alarmlist[i].UserNickname + '</h4>'
                 + '<p><span id='+ AlarmInstallationGUID + '_age>' + GetUserAge(parseJsonDate(alarmlist[i].UserBirthday)) + '</span><span id=' + AlarmInstallationGUID +'_gender>' + GetUserGender(alarmlist[i].UserGender)+'</span>'
                 + '| <i class="fa fa-mobile"></i></p>'
                 +'<p>'+GetDistance(localStorage.getItem("Latitude"), localStorage.getItem("Longitude"), alarmlist[i].Latitude, alarmlist[i].Longitude, "K")+' M </p>'
                // +'<i class="fa fa-angle-right"></i>'
                 + '<span id=' + AlarmInstallationGUID + '_alarmDetectMsg style="display:none">' + GetLookingFor(alarmlist[i].SearchLookingFor, alarmlist[i].UserGender) + "</span>"
                 +'<span id=' + AlarmInstallationGUID +'_latitude style="display:none">'+ alarmlist[i].Latitude+'</span>'
                 +'<span id=' + AlarmInstallationGUID + '_longitude style="display:none">' + alarmlist[i].Longitude + '</span>'

                 +'</aside>'
                 +'</div>'
                 +'</div>'
                 +'</li>'
            );
             }
        }
        clearTimeout(showLoader);
        LoaderHide();
        

}
function ShowUserData(id) {
    //alert(id);
    $("body").addClass("active-right-nav");
    var largeImage = document.getElementById(id + '_img');
    var largeImage2 = document.getElementById("RightbarAlarmImage");

    largeImage2.src = largeImage.src;//$('#' + id + '_img').src;
    $('#RightbarAlarmName').html($('#' + id + '_name').html());
    $('#RightbarAlarmAgegender').html($('#' + id + '_gender').html() + '(' + $('#' + id + '_age').html() + ')');
    $('#RightbarAlarmDetectedMessage').html($('#' + id + '_alarmDetectMsg').html());

    var latitude = $('#' + id + '_latitude').html()
    var longitude = $('#' + id + '_longitude').html()
    var distance = GetDistance(localStorage.getItem("Latitude"), localStorage.getItem("Longitude"), latitude, longitude, "K");
    $('#RightbarAlarmDistance').html('<strong>Distance: </strong>' + distance + "M");

    // alert($('#' + id).html());

}
function GetHistory(skip, take) {
    if (localStorage.getItem("GeolocationPermission") == "1") {
        GetAlarmHistory(skip, take);
    }
   // LoaderShow();
   // showLoader = setTimeout(GetAlarmHistory, 100, skip, take);

}
 
//end AroundMe page functionality




